Loading...
Searching...
No Matches
Metadata.h File Reference

Public interface for the Metadata class used in the dobj module. More...

`#include <string>`
`#include <vector>`
`#include <cstddef>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | Metadata
| Represents metadata information for data objects in the dobj module. More...

## Detailed Description

Public interface for the Metadata class used in the dobj module.

The Metadata class provides descriptive information about the data encapsulated within a dobj, including size, type, dimensions, and debugging flags.